GNU bug report logs - #37786
26.3; Emacs crashes when calling function to decode string

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Allen Li <darkfeline@HIDDEN>; Keywords: fixed; merged with #37895; Done: Robert Pluim <rpluim@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 27.1, send any further explanations to 37786 <at> debbugs.gnu.org and Allen Li <darkfeline@HIDDEN> Request was from Robert Pluim <rpluim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Robert Pluim <rpluim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37786 <at> debbugs.gnu.org:


Received: (at 37786) by debbugs.gnu.org; 13 Nov 2019 14:03:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 13 09:03:43 2019
Received: from localhost ([127.0.0.1]:58961 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iUtFH-00015r-Dx
	for submit <at> debbugs.gnu.org; Wed, 13 Nov 2019 09:03:43 -0500
Received: from mail-wr1-f49.google.com ([209.85.221.49]:45415)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>)
 id 1iUtFD-00015Y-NA; Wed, 13 Nov 2019 09:03:41 -0500
Received: by mail-wr1-f49.google.com with SMTP id z10so2467233wrs.12;
 Wed, 13 Nov 2019 06:03:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=t9Rdig8QHljbQ+r/wkwvBXmv98WxGRR+SvZzRCH4rYI=;
 b=vUc1P4pIu6Rmk3qwgkboIoq8AusYsIr6lVNIN/PGFHmPsu5MJcPmxRSAZGrqN/HfIn
 +pa/JN/6C9J/UMQTRnZ8vLMK1IMbz88s5MTKYGFPFpgIaZ4eiB2Q0jkge4BO4BPPB9qs
 UtRogE0kGxrA5UBBnAwefgZnuAqXEYwtFsZA4ZBnmLkKm5yHaWFukicoOtE88yqusP2e
 OIOkNBO6DjVtag+UVr5CN6Z+pLko2CxHkRt+lmJV7wI9cIGCBjuW1DKnki+ChxOAPLVq
 Z07VxWPBADw3+dmb2SBU2Ab8vh5g9o/NXOLXySA9Mk6BJC6zK4LPF5q6tnKvT/34mfyK
 aQPA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=t9Rdig8QHljbQ+r/wkwvBXmv98WxGRR+SvZzRCH4rYI=;
 b=JyZ52U9HO9qWJrgme4fL90BSHR1iDYC+C+6FCH9k2z3AMwTHbNfFThMrPEbEbER3/M
 W1Vx3XI7pkdVpx7OcMpgUfalGTH5qBtiFaCkWVi64pFh7QcoIpcNi6P35JFxyWAwRjsp
 M2b/NQsHKL6z6hfDy7uTWffjCMGqecAKbN4RcoGUTGJMqHnw7i9ji+hXl2MDLN9ItT/b
 ah7P0jrFXlnK6MkmjMDSLuQSjMNjQqBHL9QfM1RRM/W1cDy0ukmvl2l1k1U0GH+NbF2b
 Zf32QidnA7dP80mtNsrrPMwUvdWX9JqSL0AT68bZrsbPJMbzXrfSmXGPdk61tDrKyO3i
 wfEQ==
X-Gm-Message-State: APjAAAU9m27TsPYGH2qarI0yDgWIOKE5z712eRz5mcjvAgvGIfJuztDh
 afOrTyCZ+OmS+Ds9L7RDfaBWcE1p
X-Google-Smtp-Source: APXvYqxsuxD3a0D/CZTX4ey+TFDFmwwDvOYBLGj86FYrZhfMk8zzFrDwB6IT4pjJIck83ugRbytQKw==
X-Received: by 2002:adf:dc81:: with SMTP id r1mr3287906wrj.84.1573653812626;
 Wed, 13 Nov 2019 06:03:32 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id z14sm2872172wrl.60.2019.11.13.06.03.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 13 Nov 2019 06:03:28 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Allen Li <darkfeline@HIDDEN>
Subject: Re: bug#37786: 26.3; Emacs crashes when calling function to decode
 string
References: <80sgnsdn9a.fsf@HIDDEN> <87zhi0knm5.fsf@HIDDEN>
 <m2ftjr1ywg.fsf@HIDDEN> <80wod21xu4.fsf@HIDDEN>
 <m2wod2qt7m.fsf@HIDDEN> <80imol1qj9.fsf@HIDDEN>
 <m2h842ju11.fsf@HIDDEN> <80d0ep4f7a.fsf@HIDDEN>
 <m2blu9urar.fsf@HIDDEN> <805zkg3zyj.fsf@HIDDEN>
 <m2pnikrdjs.fsf@HIDDEN> <801ruz4z8r.fsf@HIDDEN>
 <m25zkar3us.fsf@HIDDEN> <m2pni6te5v.fsf@HIDDEN>
Date: Wed, 13 Nov 2019 15:03:27 +0100
In-Reply-To: <m2pni6te5v.fsf@HIDDEN> (Robert Pluim's message of "Tue, 05
 Nov 2019 18:40:28 +0100")
Message-ID: <m2v9rnan68.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37786
Cc: 37786 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 37786 fixed
close 37786 27.1
quit

Fixed by adding "Noto Color Emoji" to face-ignored-fonts
instead. Closing.

Committed as eae50e88ef




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37786; Package emacs. Full text available.

Message received at 37786 <at> debbugs.gnu.org:


Received: (at 37786) by debbugs.gnu.org; 5 Nov 2019 17:40:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 05 12:40:41 2019
Received: from localhost ([127.0.0.1]:39028 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iS2oq-0004Er-Dn
	for submit <at> debbugs.gnu.org; Tue, 05 Nov 2019 12:40:41 -0500
Received: from mail-wm1-f43.google.com ([209.85.128.43]:53620)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iS2on-0004EZ-Ox
 for 37786 <at> debbugs.gnu.org; Tue, 05 Nov 2019 12:40:38 -0500
Received: by mail-wm1-f43.google.com with SMTP id x4so214573wmi.3
 for <37786 <at> debbugs.gnu.org>; Tue, 05 Nov 2019 09:40:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=DUu6jsooMI+e5jd1Jk4MinDHs9S65jyLm2+uFdXnFy8=;
 b=aYfcdVcG+5QrtpyTpb4Q0tSvTMxq7gxHJKp3LOQhihQrk9bkV5NhxRTPFHUsFSv2Ke
 MmoXKhVWAYE9dMgEB+A29WnwyrI/si79wL4cXbms635zRdW+EY7MjvQPzuNPrG90DYW4
 YQwfTDvAfB5tUYezWY7iAEME5jmh1deYsMcUIjyEEiDo2Cl1dwrJXHUvdrI9N5oEXtAH
 k+odSc/6S9/1QM5ZW8txJN8b+tcpxw96+ZA5m5MdZwMs/bfDL4xwGZvTb6EsOJT8/xlz
 Q8H/NP6DXKPI1BauhGbm7IZgaCL6T7nHyncfWNBjpWL95nsC7+Ora5s/EHxUIWPrtsa/
 xCQQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=DUu6jsooMI+e5jd1Jk4MinDHs9S65jyLm2+uFdXnFy8=;
 b=rK4F0CRB9mssX2TuUxNb1mlesfxNVVEDzay43eMbgzyz/ILCR+HZ1ZznlSkKXPYtgT
 eI5hmcr8LA2GvtxssWm185P9b6WK4TjC7XIL1lVwJGQ/azYbuoyxnu8S9Qo56mZRjpzJ
 TMouEq+3BUWcsrwy8JSHzy5RO5gyzYdK1KiO8ICCQ/T6v++MULmvZrRhfFy0JYbHNktg
 74YKDWrEUwAVnTxtNp1Asplv1N7e14UQXWHt+t2uUlmkOZSFTPv4dQNd2tXbNebYhr/w
 xsVCvQFSSjF9Ve4VlcONbt9G+5QEh1UT2pPbhmi0coDdJFOrf9gA+FowWmqeYj3JkLiU
 7YyQ==
X-Gm-Message-State: APjAAAWl7VY5eAoFbegnl91K4WdF6Fhes6LrxCxyM79uhR/ZXWF7qjkH
 IDVLlkebXo4l7jEOqcrUCCTBQKXE
X-Google-Smtp-Source: APXvYqxb983EKHiZ+67NDI0QzRK7ujSDdx7mQvMYlJRM97dMadHPt+a7BIP1kBfD7jyd/ltOyfA5pw==
X-Received: by 2002:a1c:998f:: with SMTP id b137mr183577wme.104.1572975630309; 
 Tue, 05 Nov 2019 09:40:30 -0800 (PST)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:c514:c07d:445b:e553])
 by smtp.gmail.com with ESMTPSA id s21sm30621222wrb.31.2019.11.05.09.40.28
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 05 Nov 2019 09:40:29 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Allen Li <darkfeline@HIDDEN>
Subject: Re: bug#37786: 26.3; Emacs crashes when calling function to decode
 string
References: <80sgnsdn9a.fsf@HIDDEN> <87zhi0knm5.fsf@HIDDEN>
 <m2ftjr1ywg.fsf@HIDDEN> <80wod21xu4.fsf@HIDDEN>
 <m2wod2qt7m.fsf@HIDDEN> <80imol1qj9.fsf@HIDDEN>
 <m2h842ju11.fsf@HIDDEN> <80d0ep4f7a.fsf@HIDDEN>
 <m2blu9urar.fsf@HIDDEN> <805zkg3zyj.fsf@HIDDEN>
 <m2pnikrdjs.fsf@HIDDEN> <801ruz4z8r.fsf@HIDDEN>
 <m25zkar3us.fsf@HIDDEN>
Date: Tue, 05 Nov 2019 18:40:28 +0100
In-Reply-To: <m25zkar3us.fsf@HIDDEN> (Robert Pluim's message of "Sun, 27
 Oct 2019 09:26:35 +0100")
Message-ID: <m2pni6te5v.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: 37786
Cc: 37786 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

>>>>> On Sun, 27 Oct 2019 09:26:35 +0100, Robert Pluim <rpluim@HIDDEN> s=
aid:

>>>>> On Sat, 26 Oct 2019 02:44:52 -0700, Allen Li <darkfeline@HIDDEN=
e> said:
    >>> Hmm. Could you try the following against emacs-26 and see if it fix=
es
    >>> your crash? (the character will almost certainly end up displayed
    >>> wrong). This looks more like a fontconfig bug than anything else: t=
he
    >>> pattern we've supplied to FcFontList explicitly says "don=CA=BCt gi=
ve me
    >>> color fonts".

    Allen> Yep, this fixes the crash and I get the box with unicode codepoi=
nt
    Allen> inside.  I don't know anything about fontconfig, so I can't comm=
ent on
    Allen> whether this is a fontconfig bug.

    Robert> Thanks for testing. I=CA=BCll have to write a standalone test c=
ase against
    Robert> fontconfig before I can say whether it=CA=BCs a fontconfig bug =
or not, in
    Robert> the meantime I=CA=BCll clean up the patch.

I think it=CA=BCs a fontconfig bug, but I=CA=BCve received no response from=
 the
fontconfig guys. Perhaps I need to use their new-fangled issue tracker
thing rather than good old email. In any case, both Arch and Fedora 31
have fontconfig packages with this issue, so we need to paper^Wfix the
issue our end.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0001-Ignore-color-fonts-returned-from-FcFontList.patch

From aabd13bba282563410ef95764cad39f02ecb5d84 Mon Sep 17 00:00:00 2001
From: Robert Pluim <rpluim@HIDDEN>
Date: Mon, 4 Nov 2019 17:44:57 +0100
Subject: [PATCH] Ignore color fonts returned from FcFontList
To: emacs-devel@HIDDEN

* src/ftfont.c (ftfont_list): [HAVE_XFT && FC_COLOR]: Ask FcFontList
to return FC_COLOR attribute.  Check returned attribute for
non-FcFalse, since some color fonts have a color attribute that's
neither FcFalse nor FcTrue (Bug#37786).
---
 src/ftfont.c | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

diff --git a/src/ftfont.c b/src/ftfont.c
index 77a4cf5de5..b066f55a18 100644
--- a/src/ftfont.c
+++ b/src/ftfont.c
@@ -864,6 +864,9 @@ ftfont_list (struct frame *f, Lisp_Object spec)
 #endif	/* FC_CAPABILITY */
 #ifdef FC_FONTFORMAT
 			     FC_FONTFORMAT,
+#endif
+#if defined HAVE_XFT && defined FC_COLOR
+                             FC_COLOR,
 #endif
 			     NULL);
   if (! objset)
@@ -904,7 +907,19 @@ ftfont_list (struct frame *f, Lisp_Object spec)
   for (i = 0; i < fontset->nfont; i++)
     {
       Lisp_Object entity;
-
+#if defined HAVE_XFT && defined FC_COLOR
+      {
+        /* Some fonts, notably NotoColorEmoji, have an FC_COLOR value
+           that's neither FcTrue nor FcFalse, which means FcFontList
+           returns them even when it shouldn't really do so, so we
+           need to manually skip them here (Bug#37786).  */
+        FcBool b;
+        if (Vxft_ignore_color_fonts
+            && FcPatternGetBool (fontset->fonts[i], FC_COLOR, 0, &b)
+            == FcResultMatch && b != FcFalse)
+            continue;
+      }
+#endif
       if (spacing >= 0)
 	{
 	  int this;
-- 
2.19.1.816.gcd69ec8cde


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37786; Package emacs. Full text available.
Merged 37786 37895. Request was from Robert Pluim <rpluim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37786 <at> debbugs.gnu.org:


Received: (at 37786) by debbugs.gnu.org; 27 Oct 2019 08:26:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 27 04:26:46 2019
Received: from localhost ([127.0.0.1]:41649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iOdsr-0002CS-RM
	for submit <at> debbugs.gnu.org; Sun, 27 Oct 2019 04:26:46 -0400
Received: from mail-wm1-f50.google.com ([209.85.128.50]:35464)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iOdsp-0002CD-H5
 for 37786 <at> debbugs.gnu.org; Sun, 27 Oct 2019 04:26:44 -0400
Received: by mail-wm1-f50.google.com with SMTP id v6so6095341wmj.0
 for <37786 <at> debbugs.gnu.org>; Sun, 27 Oct 2019 01:26:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=ZyzKibZYlFb042mQRjIw0KbZzpQyud7d2BDbGuZB4HA=;
 b=p6X2B8AwUCCw05LVXwwfElDvsd90ftpHozuuIwnxbLWFGRE0OdjYEvJc7jZEkL0doL
 BK0tovi8YGSaED2USSBFBswFARfCXbXYkW0SFZPqexMq44hHMS61bupeGbLvKgbYJYYs
 N08/wIQEyTtfytsjX0X0cMMbXWOb475J8NEUr/1z8fOYrVNYCohze+fC8t/NL+S8+86z
 FWZO8X6cS5R2x/q2JDDdNKUpsP6psCV5o0RxV7KUdmXTO6DCqAP9mY8ngtNWmIhNEUbt
 IA7hMYO5KmudSqVAEGgUJ+fN954KZ7qDfpSxnHR+CWlgwlSuJh1rXmqYPTo7Zt2x2MHV
 0PQQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=ZyzKibZYlFb042mQRjIw0KbZzpQyud7d2BDbGuZB4HA=;
 b=WM4qArtAdU2RvceUOQaUlaU1sLactgGt+z+Xam8Y2OT0eD3mlJodS2oSleMGN0A3Pm
 PMTbTGvoqrfLkwq2ZeBqPTf+gSS2ya0h9kwG17waZa8Jdj+0+KQpQ6bPpppE0eMe11Na
 D1KEM1PEuyfkup6sGmfGCc+iVIOcbogr3qfjTRd3ZQxicyPZ37MK3VfKRQ3G+8eA80ry
 YK03hZatQgMhXuUr9Q8rENUoZHqk+iZb/dXr4plF3FDWKBWLXdGRziAQvynDPbuL5Xvz
 c9IAPKU/Z+mTPGn2VxocaJIbWfo9365xgQ14IECkmjVQmgdm3+iVQpnHxXWvXqz135V1
 nnMw==
X-Gm-Message-State: APjAAAU90fXH8krKzUscoHplYAyX2daOHapSdMHew5sTCfRJz1T/eUwt
 Me2HjfLU3NV2pBqLFBE3cTSVHJai
X-Google-Smtp-Source: APXvYqyHH5ifP2QogmwOn83SoYk86eFGSH3/8WuE/bpKb6ym9FV4NO1HdGV2h6Yom1oiYJpyYrC9Gg==
X-Received: by 2002:a1c:9601:: with SMTP id y1mr10308974wmd.157.1572164797293; 
 Sun, 27 Oct 2019 01:26:37 -0700 (PDT)
Received: from rpluim-mac ([2a01:e34:ecfc:a860:402:a949:d521:f754])
 by smtp.gmail.com with ESMTPSA id i3sm7890138wrw.69.2019.10.27.01.26.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 27 Oct 2019 01:26:36 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Allen Li <darkfeline@HIDDEN>
Subject: Re: bug#37786: 26.3; Emacs crashes when calling function to decode
 string
References: <80sgnsdn9a.fsf@HIDDEN> <87zhi0knm5.fsf@HIDDEN>
 <m2ftjr1ywg.fsf@HIDDEN> <80wod21xu4.fsf@HIDDEN>
 <m2wod2qt7m.fsf@HIDDEN> <80imol1qj9.fsf@HIDDEN>
 <m2h842ju11.fsf@HIDDEN> <80d0ep4f7a.fsf@HIDDEN>
 <m2blu9urar.fsf@HIDDEN> <805zkg3zyj.fsf@HIDDEN>
 <m2pnikrdjs.fsf@HIDDEN> <801ruz4z8r.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Sun, 27 Oct 2019 09:26:35 +0100
In-Reply-To: <801ruz4z8r.fsf@HIDDEN> (Allen Li's message of "Sat, 26
 Oct 2019 02:44:52 -0700")
Message-ID: <m25zkar3us.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37786
Cc: 37786 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Sat, 26 Oct 2019 02:44:52 -0700, Allen Li <darkfeline@HIDDEN=
e> said:

    >> Hmm. Could you try the following against emacs-26 and see if it fixes
    >> your crash? (the character will almost certainly end up displayed
    >> wrong). This looks more like a fontconfig bug than anything else: the
    >> pattern we've supplied to FcFontList explicitly says "don=CA=BCt giv=
e me
    >> color fonts".

    Allen> Yep, this fixes the crash and I get the box with unicode codepoi=
nt
    Allen> inside.  I don't know anything about fontconfig, so I can't comm=
ent on
    Allen> whether this is a fontconfig bug.

Thanks for testing. I=CA=BCll have to write a standalone test case against
fontconfig before I can say whether it=CA=BCs a fontconfig bug or not, in
the meantime I=CA=BCll clean up the patch.

Regards

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37786; Package emacs. Full text available.

Message received at 37786 <at> debbugs.gnu.org:


Received: (at 37786) by debbugs.gnu.org; 26 Oct 2019 09:45:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 26 05:45:03 2019
Received: from localhost ([127.0.0.1]:39699 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iOId5-0006Pt-Cx
	for submit <at> debbugs.gnu.org; Sat, 26 Oct 2019 05:45:03 -0400
Received: from mail-pg1-f194.google.com ([209.85.215.194]:43783)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <darkfeline@HIDDEN>) id 1iOId2-0006P7-Hg
 for 37786 <at> debbugs.gnu.org; Sat, 26 Oct 2019 05:45:01 -0400
Received: by mail-pg1-f194.google.com with SMTP id l24so3254813pgh.10
 for <37786 <at> debbugs.gnu.org>; Sat, 26 Oct 2019 02:45:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=felesatra-moe.20150623.gappssmtp.com; s=20150623;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version:content-transfer-encoding;
 bh=9zqLCOJ4ewoiviLfM6ryhi20Tq4ElbjAhESukuweZ1M=;
 b=AjY96BA4pYPv8fxBBb2OVCdoNLyLxxpRPeIwTzCwDMxCqOOmzxIZPRnYTk870IpJHf
 /WSDjCSnWVCb3PXYsh620kM37s1arC4UHfrmyHBr7yDN5xDcy3smgzZngxxljrkQTqMB
 e65DwMBIp1TLvaz7evFUzQQ+l2lMGKV9FIlm/bYtzLvydE3oIebN1cBMi/30wvTY9Hhz
 Vnabe8eEBCQdeoB8dZ5J//MX5NT/NaFh07hrdJWL4DcCB/kHRrnE7prvwYWMra488r/R
 XA+XBfK30RJmQdNxBTakfN7G/Iyp9IOGZXEwCawJ4c1grmEENhplR8gafXse4uQZ9dl6
 Er2Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=9zqLCOJ4ewoiviLfM6ryhi20Tq4ElbjAhESukuweZ1M=;
 b=qoXPyOjR23jk42mjRriLIWT6ptM5ZtimItl1PYQ/YKpOUHjs8O1uwdHVe1yicg+I0q
 ORy1fjxvHkAL3SKqflp0wEioqegarVVVqPZ3ZDfgsUUmorjFvxzl/EpMU/UEUJVDh6rq
 DKh8UErgQHdvxrwbCbLuMm1rPRYEipXqWCR1LZ8R5aVEfreYHfh5YEE/afxecZqooJ27
 9aycrqNoF/BYgrpGfhoYA6K7og1F91Ep32HwKlMcJlon6z+LbiwlzXmwRtCZZBzVggeS
 Gvm8v8DMq1rXYM+0Qv56ZV8o4z32LrKfBX4irRABebmVfpnddip/LJB10KYGvoJlLqQx
 UJJg==
X-Gm-Message-State: APjAAAXGCQ4SdaGsu8Pom0LEkg/AkDWZKyj4RS5sEbNf3wT7JikfuFt4
 kmNbektt0rAUTb6QyWLvDBLNeG+8uLQ=
X-Google-Smtp-Source: APXvYqz+z2xjwL3cyBYFPvMZvpwB4x+2Tbryg7Yuo/CqAUwtgRUKSKQXoOt2M3cohE/gWdT3enUu0w==
X-Received: by 2002:a63:3281:: with SMTP id y123mr9913954pgy.252.1572083094115; 
 Sat, 26 Oct 2019 02:44:54 -0700 (PDT)
Received: from localhost ([2600:1700:7270:7d1f:fa59:71ff:fe00:10cc])
 by smtp.gmail.com with ESMTPSA id r13sm5496033pfg.3.2019.10.26.02.44.52
 for <37786 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 26 Oct 2019 02:44:53 -0700 (PDT)
From: Allen Li <darkfeline@HIDDEN>
To: 37786 <at> debbugs.gnu.org
Subject: Re: bug#37786: 26.3;
 Emacs crashes when calling function to decode string
References: <80sgnsdn9a.fsf@HIDDEN> <87zhi0knm5.fsf@HIDDEN>
 <m2ftjr1ywg.fsf@HIDDEN> <80wod21xu4.fsf@HIDDEN>
 <m2wod2qt7m.fsf@HIDDEN> <80imol1qj9.fsf@HIDDEN>
 <m2h842ju11.fsf@HIDDEN> <80d0ep4f7a.fsf@HIDDEN>
 <m2blu9urar.fsf@HIDDEN> <805zkg3zyj.fsf@HIDDEN>
 <m2pnikrdjs.fsf@HIDDEN>
Date: Sat, 26 Oct 2019 02:44:52 -0700
In-Reply-To: <m2pnikrdjs.fsf@HIDDEN> (Robert Pluim's message of "Fri, 25
 Oct 2019 18:32:39 +0200")
Message-ID: <801ruz4z8r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37786
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

>>>>>> On Tue, 22 Oct 2019 20:25:40 -0700, Allen Li <darkfeline@HIDDEN=
oe> said:
>
>     Allen> I haven't touched xft-ignore-color-fonts (and it reproduces fr=
om emacs -Q)
>     >>=20
>     Allen> #define FC_MAJOR	2
>     Allen> #define FC_MINOR	13
>     Allen> #define FC_REVISION	91
>     >>=20
>
> That=CA=BCs a very recent (and maybe even unreleased) version of
> fontconfig.
>
>     Allen> Arch Linux
>
> Hmm. Could you try the following against emacs-26 and see if it fixes
> your crash? (the character will almost certainly end up displayed
> wrong). This looks more like a fontconfig bug than anything else: the
> pattern we've supplied to FcFontList explicitly says "don=CA=BCt give me
> color fonts".

Yep, this fixes the crash and I get the box with unicode codepoint
inside.  I don't know anything about fontconfig, so I can't comment on
whether this is a fontconfig bug.


>
> diff --git i/lisp/international/fontset.el w/lisp/international/fontset.el
> index c90d4f53bd..e80a1a87b9 100644
> --- i/lisp/international/fontset.el
> +++ w/lisp/international/fontset.el
> @@ -804,7 +804,6 @@ setup-default-fontset
>               #x2664
>               (#x2667 . #x2669)
>               (#x266C . #x26FF)
> -             (#x2700 . #x27bF) ;; Dingbats
>               (#x27C0 . #x27EF) ;; Misc Mathematical Symbols-A
>               (#x27F0 . #x27FF) ;; Supplemental Arrows-A
>               (#x2900 . #x297F) ;; Supplemental Arrows-B
> diff --git i/src/ftfont.c w/src/ftfont.c
> index 823fb2095c..017b349318 100644
> --- i/src/ftfont.c
> +++ w/src/ftfont.c
> @@ -861,6 +861,9 @@ ftfont_list (struct frame *f, Lisp_Object spec)
>  #endif /* FC_CAPABILITY */
>  #ifdef FC_FONTFORMAT
>                              FC_FONTFORMAT,
> +#endif
> +#ifdef FC_COLOR
> +                             FC_COLOR,
>  #endif
>                              NULL);
>    if (! objset)
> @@ -902,6 +905,15 @@ ftfont_list (struct frame *f, Lisp_Object spec)
>      {
>        Lisp_Object entity;
>
> +      {
> +        FcBool b;
> +        if (FcPatternGetBool (fontset->fonts[i], FC_COLOR, 0, &b)
> +            =3D=3D FcResultMatch && b)
> +          {
> +            fprintf (stderr, "Skipping Color font\n");
> +            continue;
> +          }
> +      }
>        if (spacing >=3D 0)
>         {
>           int this;




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37786; Package emacs. Full text available.

Message received at 37786 <at> debbugs.gnu.org:


Received: (at 37786) by debbugs.gnu.org; 25 Oct 2019 16:32:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 25 12:32:50 2019
Received: from localhost ([127.0.0.1]:39305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iO2WA-0003Zq-4d
	for submit <at> debbugs.gnu.org; Fri, 25 Oct 2019 12:32:50 -0400
Received: from mail-wr1-f67.google.com ([209.85.221.67]:36569)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iO2W7-0003Zc-QU
 for 37786 <at> debbugs.gnu.org; Fri, 25 Oct 2019 12:32:48 -0400
Received: by mail-wr1-f67.google.com with SMTP id w18so3062046wrt.3
 for <37786 <at> debbugs.gnu.org>; Fri, 25 Oct 2019 09:32:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=VMqQd2PWDKVbA69JpofceV08xp7LQrY0+MwCf7ZOTAs=;
 b=Yvac5ckfnTAXJzLU/aJLc5nrr3WnwaaZUFFn4PKfa5Et03OzD/7ktASeMKmadGdToy
 YqM/TCcktvoa8jklFXXRmMq+pc9PP9Jg7x4f5HokP/65kwa+TYJHyia2isz291JVvN6+
 /mRSzgrEuePBAxb3h77ujRTJmrWd75CYSQLy2gWVc5NRZgxOe9lo3/Y6qBgs9BKD33Zt
 pllN01pzIq6DsO2FhKMVbEo919o5ErNFrSNhDaqksck+j+uuL8CUAHEqIw1bsFyFEVbV
 fBpAa1P1AfR58VTycfOx1KRdR6UbwWGfTmwtXyqdxA8KAQqw3gxsPLgTXS15JuqIN7Rt
 C/Aw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=VMqQd2PWDKVbA69JpofceV08xp7LQrY0+MwCf7ZOTAs=;
 b=GRKQ/maXfo/ZLtacN5Q/TA68eY8bjIw4u+2VJkHLoqdivvA0FgxqWZ85iIHHj0519A
 5xi2bquHPk/it5vh6VyBAbnSf6KDfnlHrw14685Q93eN2okEvSnV0MJ9WnzyRgjHwej3
 nm1ZJjIuX6yF7kVgqeXF0LaQCyHPgION5JRJr8XaMFzR2m/SJLscGzWQXCgUFWH9GWHk
 OvuUrqwvwxfSgT/ILqmbqwVy2z6R1qhv9WK2fLU8RLAJuewSTIFxtxSUO5jASWzJn0Ag
 55hsgMJcbIUkXqxvAEVfFgOJFuXWoiVmATLRHU1rXA+8u1Rb8WikiHTBFndRRWG0+jNk
 zVcQ==
X-Gm-Message-State: APjAAAWii61h6kFe9cKGWp6Oz2KwVegMfO+iK/8C9ILluESd1qcBGUBs
 qrZymAYnkzUaGirNaa33OHAcKgtP
X-Google-Smtp-Source: APXvYqxFAeepInCawZLXcfr8JgFOocaUy/rPSamZVgFmh+DeD9VEiW03NH8RpoVtOJycYFXKGYm2nw==
X-Received: by 2002:a5d:5587:: with SMTP id i7mr3974894wrv.289.1572021161243; 
 Fri, 25 Oct 2019 09:32:41 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id t1sm3431844wrn.81.2019.10.25.09.32.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 25 Oct 2019 09:32:40 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Allen Li <darkfeline@HIDDEN>
Subject: Re: bug#37786: 26.3; Emacs crashes when calling function to decode
 string
References: <80sgnsdn9a.fsf@HIDDEN> <87zhi0knm5.fsf@HIDDEN>
 <m2ftjr1ywg.fsf@HIDDEN> <80wod21xu4.fsf@HIDDEN>
 <m2wod2qt7m.fsf@HIDDEN> <80imol1qj9.fsf@HIDDEN>
 <m2h842ju11.fsf@HIDDEN> <80d0ep4f7a.fsf@HIDDEN>
 <m2blu9urar.fsf@HIDDEN> <805zkg3zyj.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 25 Oct 2019 18:32:39 +0200
In-Reply-To: <805zkg3zyj.fsf@HIDDEN> (Allen Li's message of "Tue, 22
 Oct 2019 20:25:40 -0700")
Message-ID: <m2pnikrdjs.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37786
Cc: 37786 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Tue, 22 Oct 2019 20:25:40 -0700, Allen Li <darkfeline@HIDDEN=
e> said:

    Allen> I haven't touched xft-ignore-color-fonts (and it reproduces from=
 emacs -Q)
    >>=20
    Allen> #define FC_MAJOR	2
    Allen> #define FC_MINOR	13
    Allen> #define FC_REVISION	91
    >>=20

That=CA=BCs a very recent (and maybe even unreleased) version of
fontconfig.

    Allen> Arch Linux

Hmm. Could you try the following against emacs-26 and see if it fixes
your crash? (the character will almost certainly end up displayed
wrong). This looks more like a fontconfig bug than anything else: the
pattern we've supplied to FcFontList explicitly says "don=CA=BCt give me
color fonts".

diff --git i/lisp/international/fontset.el w/lisp/international/fontset.el
index c90d4f53bd..e80a1a87b9 100644
--- i/lisp/international/fontset.el
+++ w/lisp/international/fontset.el
@@ -804,7 +804,6 @@ setup-default-fontset
              #x2664
              (#x2667 . #x2669)
              (#x266C . #x26FF)
-             (#x2700 . #x27bF) ;; Dingbats
              (#x27C0 . #x27EF) ;; Misc Mathematical Symbols-A
              (#x27F0 . #x27FF) ;; Supplemental Arrows-A
              (#x2900 . #x297F) ;; Supplemental Arrows-B
diff --git i/src/ftfont.c w/src/ftfont.c
index 823fb2095c..017b349318 100644
--- i/src/ftfont.c
+++ w/src/ftfont.c
@@ -861,6 +861,9 @@ ftfont_list (struct frame *f, Lisp_Object spec)
 #endif /* FC_CAPABILITY */
 #ifdef FC_FONTFORMAT
                             FC_FONTFORMAT,
+#endif
+#ifdef FC_COLOR
+                             FC_COLOR,
 #endif
                             NULL);
   if (! objset)
@@ -902,6 +905,15 @@ ftfont_list (struct frame *f, Lisp_Object spec)
     {
       Lisp_Object entity;

+      {
+        FcBool b;
+        if (FcPatternGetBool (fontset->fonts[i], FC_COLOR, 0, &b)
+            =3D=3D FcResultMatch && b)
+          {
+            fprintf (stderr, "Skipping Color font\n");
+            continue;
+          }
+      }
       if (spacing >=3D 0)
        {
          int this;




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37786; Package emacs. Full text available.

Message received at 37786 <at> debbugs.gnu.org:


Received: (at 37786) by debbugs.gnu.org; 23 Oct 2019 03:25:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 22 23:25:50 2019
Received: from localhost ([127.0.0.1]:60727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iN7HS-0004mG-F2
	for submit <at> debbugs.gnu.org; Tue, 22 Oct 2019 23:25:50 -0400
Received: from mail-pg1-f172.google.com ([209.85.215.172]:36121)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <darkfeline@HIDDEN>) id 1iN7HQ-0004m0-Dm
 for 37786 <at> debbugs.gnu.org; Tue, 22 Oct 2019 23:25:49 -0400
Received: by mail-pg1-f172.google.com with SMTP id 23so11257524pgk.3
 for <37786 <at> debbugs.gnu.org>; Tue, 22 Oct 2019 20:25:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=felesatra-moe.20150623.gappssmtp.com; s=20150623;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version:content-transfer-encoding;
 bh=wbYSiRSa1QpRPCCuILa7fZleFpX6xd99C18CV7XMerY=;
 b=g4HN1kupXrHc1vlsUnow+0RGMBn8XnbBEj+a0f7QFCLQ+WmJG55UVPfdGhbmFwQbUc
 rzuHsmimVfmUb6M612CFSLFud8eAqd9LSMFnd/H1LFH/VS+HaHPyUzcNj6wsQ5yrwk1p
 kNF+3C/GOFRujo/EOqocTWyZzMdqqxU/3eg1C7HzBFwra1ERJjvBVV9BXIYtaHtUe5Cu
 f4KPy+znc2fgqF+XFBBB+FdbLYkRRdSTPAheD2yfdd/mX54DSPnCa9ehVQZJDCLBr5O7
 de9H3nEKuTVwla03AUf9uiSkjXIH5D8edcXJu1B1RuEOrsTI8fyPfEAR/3et75mAuOFt
 OvNA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=wbYSiRSa1QpRPCCuILa7fZleFpX6xd99C18CV7XMerY=;
 b=OqcDUcz2YHQ240dcIrr40yUhXrqqHTuVesAUY3OnM3w3Rw+aVNNltgVa1ys9U6wk8R
 tHm853eHQwq8ijgikCPPptbhweRxCRrl6ySYhjVnucW5a2gX2uO+i4sgOUkrOUQrNQs5
 aDxcIVUbcXX4m3WUnpWwBN590nGeY+Wc2ckG3Iv97DXwMi/yxeoowY52rBGbv0Rz2zqS
 OHnkhgYu1lBFvtMQOoBTksXufhC2HqFAXfLDvg/qqwiHWk7+CCPOujHmvEv8fp4Q/u6C
 Pvb7cFOOKRJms392CjrY98ZkH2X/+B8NjbR5bscgt/k28XDuNgCwNMBe3S7bf/TxSeEu
 UxFg==
X-Gm-Message-State: APjAAAUhkoTIPr0FrLZgEsRjKeO0uTlCzz8hRDoFl17HbTmjnDEL5Atj
 mdxEvZS2qHWwvz6Z5udjAdGnXxXhMBpmWQ==
X-Google-Smtp-Source: APXvYqwbotXNVK/0Q/fqTILOwese+y8m8p5acCPcMlt2YrAgOE9fp3LXW4BhVYHZ25rAxWhOQ+Ftmg==
X-Received: by 2002:a63:9dc6:: with SMTP id i189mr7244893pgd.273.1571801142149; 
 Tue, 22 Oct 2019 20:25:42 -0700 (PDT)
Received: from localhost ([2600:1700:7270:7d1f:fa59:71ff:fe00:10cc])
 by smtp.gmail.com with ESMTPSA id n23sm19449144pff.137.2019.10.22.20.25.41
 for <37786 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 22 Oct 2019 20:25:41 -0700 (PDT)
From: Allen Li <darkfeline@HIDDEN>
To: 37786 <at> debbugs.gnu.org
Subject: Re: bug#37786: 26.3;
 Emacs crashes when calling function to decode string
References: <80sgnsdn9a.fsf@HIDDEN> <87zhi0knm5.fsf@HIDDEN>
 <m2ftjr1ywg.fsf@HIDDEN> <80wod21xu4.fsf@HIDDEN>
 <m2wod2qt7m.fsf@HIDDEN> <80imol1qj9.fsf@HIDDEN>
 <m2h842ju11.fsf@HIDDEN> <80d0ep4f7a.fsf@HIDDEN>
 <m2blu9urar.fsf@HIDDEN>
Date: Tue, 22 Oct 2019 20:25:40 -0700
In-Reply-To: <m2blu9urar.fsf@HIDDEN> (Robert Pluim's message of "Tue, 22
 Oct 2019 10:18:20 +0200")
Message-ID: <805zkg3zyj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37786
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

>>>>>> On Mon, 21 Oct 2019 20:44:09 -0700, Allen Li <darkfeline@HIDDEN=
oe> said:
>
>     >> Hmm, that configuration of emacs should not be loading NotoColorEm=
oji
>     >> (unless you've somehow arranged for xft-ignore-color-fonts to be
>     >> nil). What's your version of fontconfig (probably from
>     >> /usr/include/fontconfig/fontconfig.h)?
>
>     Allen> I haven't touched xft-ignore-color-fonts (and it reproduces fr=
om emacs -Q)
>
>     Allen> #define FC_MAJOR	2
>     Allen> #define FC_MINOR	13
>     Allen> #define FC_REVISION	91
>
> Now I=CA=BCm definitely confused. Which distribution/version of GNU/Linux=
 is this?

Arch Linux

>
> Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37786; Package emacs. Full text available.

Message received at 37786 <at> debbugs.gnu.org:


Received: (at 37786) by debbugs.gnu.org; 22 Oct 2019 08:18:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 22 04:18:30 2019
Received: from localhost ([127.0.0.1]:58206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iMpN7-0007wh-Tj
	for submit <at> debbugs.gnu.org; Tue, 22 Oct 2019 04:18:30 -0400
Received: from mail-wr1-f42.google.com ([209.85.221.42]:41506)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iMpN6-0007wO-6l
 for 37786 <at> debbugs.gnu.org; Tue, 22 Oct 2019 04:18:29 -0400
Received: by mail-wr1-f42.google.com with SMTP id p4so16931286wrm.8
 for <37786 <at> debbugs.gnu.org>; Tue, 22 Oct 2019 01:18:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=POSaFd75X/eI4xLVl6GhgyZzkFwINkaJks824xnSLYU=;
 b=pZsy5Xmbe75E34e2F1gEl+3CdA+dXEh5pUSddOimmen2bwh+PY751LWYB33/p0ovzg
 vrVUa5KPM7itpWKa9LUfVF7a/2kaAhzwNbn87oFbSj4l7XqjaZRafoWuGNfIbn51286x
 a2tsx70oBmEvAqpT3HtL3Eg/+TWucrLhP+puKhjXuUciykg2WrvcBAjYpbHLajaKrWTs
 SWvgOwyfWG1n9oJqGsOI7bwuV8pyaKOv04La38DCEE5QnccukeBe0WCAOuuCWWWNPZYl
 g1xzF+ctdX566U0wVnpXjC3XOIyH0J2AOnuFvhplQ26CkPm727XdE0oKSxpYj54xMJnl
 gvkg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=POSaFd75X/eI4xLVl6GhgyZzkFwINkaJks824xnSLYU=;
 b=aoyyy3EP/Bb8TsdmtOPJL7VBaVeICaW5uR10nmEiU5EaMU4NjWkNn9H8poEGLvPEIj
 RXImLePiYZRzsk0zbwwyeRVC3shTYPQO8wR8Lj4okboqbKTucTyVbKXSm5QB0Js0aMDg
 yhXRMRSeTdWGPnpzX1IR1MEv3k9HDZf1BYi1VdVHVYqlmCifrkCNtJC0OMxEi+6i2T7n
 W34kY7z7zgnunLVwwL6P5JAeAY74qQKXxsngbJ8zL/2dbS+qt9j8alNVxd9+pqVUujWJ
 XlFbdlqfKHFjD+hk6RTqs4d8r7vdfeofr2763UVxKv5iSNumeuBijAdiBsIzAm+wbTfP
 S9cQ==
X-Gm-Message-State: APjAAAUkA2jbG6mZqv8dch1orkXv1cGpYC1O5KVraL/Ai1bMvAaeQuXU
 JzkUfNVL0RoGd9SgvcJzjnwtvip2
X-Google-Smtp-Source: APXvYqyPCLtDqXz+f9uQ9QBkBMEi9QTgofRTnSLOWukf3RBh7G8M6s+RnxxgNcDpOyRNW7yhft7uKw==
X-Received: by 2002:a5d:4f91:: with SMTP id d17mr2305490wru.184.1571732301692; 
 Tue, 22 Oct 2019 01:18:21 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id n17sm14127338wmc.41.2019.10.22.01.18.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 22 Oct 2019 01:18:21 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Allen Li <darkfeline@HIDDEN>
Subject: Re: bug#37786: 26.3; Emacs crashes when calling function to decode
 string
References: <80sgnsdn9a.fsf@HIDDEN> <87zhi0knm5.fsf@HIDDEN>
 <m2ftjr1ywg.fsf@HIDDEN> <80wod21xu4.fsf@HIDDEN>
 <m2wod2qt7m.fsf@HIDDEN> <80imol1qj9.fsf@HIDDEN>
 <m2h842ju11.fsf@HIDDEN> <80d0ep4f7a.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Tue, 22 Oct 2019 10:18:20 +0200
In-Reply-To: <80d0ep4f7a.fsf@HIDDEN> (Allen Li's message of "Mon, 21
 Oct 2019 20:44:09 -0700")
Message-ID: <m2blu9urar.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37786
Cc: 37786 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Mon, 21 Oct 2019 20:44:09 -0700, Allen Li <darkfeline@HIDDEN=
e> said:

    >> Hmm, that configuration of emacs should not be loading NotoColorEmoji
    >> (unless you've somehow arranged for xft-ignore-color-fonts to be
    >> nil). What's your version of fontconfig (probably from
    >> /usr/include/fontconfig/fontconfig.h)?

    Allen> I haven't touched xft-ignore-color-fonts (and it reproduces from=
 emacs -Q)

    Allen> #define FC_MAJOR	2
    Allen> #define FC_MINOR	13
    Allen> #define FC_REVISION	91

Now I=CA=BCm definitely confused. Which distribution/version of GNU/Linux i=
s this?

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37786; Package emacs. Full text available.

Message received at 37786 <at> debbugs.gnu.org:


Received: (at 37786) by debbugs.gnu.org; 22 Oct 2019 03:44:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 21 23:44:20 2019
Received: from localhost ([127.0.0.1]:58136 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iMl5n-0000Hc-O9
	for submit <at> debbugs.gnu.org; Mon, 21 Oct 2019 23:44:20 -0400
Received: from mail-pf1-f182.google.com ([209.85.210.182]:39817)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <darkfeline@HIDDEN>) id 1iMl5l-0000HO-Jh
 for 37786 <at> debbugs.gnu.org; Mon, 21 Oct 2019 23:44:18 -0400
Received: by mail-pf1-f182.google.com with SMTP id v4so9750120pff.6
 for <37786 <at> debbugs.gnu.org>; Mon, 21 Oct 2019 20:44:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=felesatra-moe.20150623.gappssmtp.com; s=20150623;
 h=from:to:subject:references:date:in-reply-to:message-id:user-agent
 :mime-version:content-transfer-encoding;
 bh=gP73QgxEFOAFGBMtlgkestpVnfgiGE60bIgUfplS4Y0=;
 b=fP0kr2DfuK+YZkBRMmIT1MUiREEJRcFegIw8F95P+ooUZC6BArWcakHBftwhGNhuO0
 QRYRjgs4JnyoI1ERXhdeCt5HuNX0UYo/bcK/CXRatVvbX6hctSp+UPCWKl9IAvoN4da3
 r1nJPZ6ypAC4cOluJR2S+T+2wu3I3FVA3jzSFTd7Thm39pC3SS4PrBMBs1xt4d+ssLX9
 vAPxRSjxmkFETlLgHbO7TRMM4J4mYlcw1kSAsJYLu7fcf+M8AScPoG3EVVh67vCVO4rG
 GLYbAAtYrtUDJQdXG9Z55Awc2cKGLU2EC4xCWRvTtnPMqN/52Asem2kor1n3r8MEYHfS
 o5sw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=gP73QgxEFOAFGBMtlgkestpVnfgiGE60bIgUfplS4Y0=;
 b=pTH0CqA/M8Ym+8tQp3xN9RGVujSW3lJFjB4fsD0RzvFued7BY4OLc+n66TkBDOmuOk
 ykfQxTXW6ahSgigrIZoBON7SXrlYw2t6CthWMnmHAPnIL7EJNA6NsfVopB8L0TO94+Lg
 Ql+vv3yapWtsPRU0gEBHKVFw1Ra3LpWIH0wAIJC+ZnUaLli/zh1R7quMtFYDtRmFGf80
 C0EYPmLR8/EBcNrd/1IsFVucJjRcRrrurrCrJKeFhLhb1tgPg4ytDD8k9iSAFnFD+a8Y
 4PW73IwOC2/ed9KtIB48o8vQkgy+yPo/+HuOqs2T94/1vsPl+IADves0UA54S8NoO1dT
 LbiA==
X-Gm-Message-State: APjAAAUB8tBSERc2QaALEg2C+6pD1AFQz4QUyPsnSQSri9fVzYBIRXuy
 GotzfEOB2iJGgoIO1bUefOB5I1knwGCZgA==
X-Google-Smtp-Source: APXvYqwSvZ7x3UgAp46LpGqDx3dTEoo2PkrPQc36npN7O6QiJVhfj5DwmTBLXBBKAAAD1krAO9johw==
X-Received: by 2002:a63:3754:: with SMTP id g20mr1397125pgn.349.1571715850832; 
 Mon, 21 Oct 2019 20:44:10 -0700 (PDT)
Received: from localhost ([2600:1700:7270:7d1f:fa59:71ff:fe00:10cc])
 by smtp.gmail.com with ESMTPSA id 199sm19974205pfv.152.2019.10.21.20.44.09
 for <37786 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 21 Oct 2019 20:44:10 -0700 (PDT)
From: Allen Li <darkfeline@HIDDEN>
To: 37786 <at> debbugs.gnu.org
Subject: Re: bug#37786: 26.3;
 Emacs crashes when calling function to decode string
References: <80sgnsdn9a.fsf@HIDDEN> <87zhi0knm5.fsf@HIDDEN>
 <m2ftjr1ywg.fsf@HIDDEN> <80wod21xu4.fsf@HIDDEN>
 <m2wod2qt7m.fsf@HIDDEN> <80imol1qj9.fsf@HIDDEN>
 <m2h842ju11.fsf@HIDDEN>
Date: Mon, 21 Oct 2019 20:44:09 -0700
In-Reply-To: <m2h842ju11.fsf@HIDDEN> (Robert Pluim's message of "Mon, 21
 Oct 2019 12:02:34 +0200")
Message-ID: <80d0ep4f7a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37786
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

>>>>>> On Fri, 18 Oct 2019 18:18:34 -0700, Allen Li <darkfeline@HIDDEN=
oe> said:
>     Allen> That gives me the following output:
>
>     Allen> Loading file /usr/share/fonts/adobe-source-code-pro/SourceCode=
Pro-Regular.otf/0
>     Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-=
It.otf/0 matches new
>     Allen> Loading file /usr/share/fonts/adobe-source-code-pro/SourceCode=
Pro-It.otf/0
>     Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-=
Light.otf/0 matches new
>     Allen> Loading file /usr/share/fonts/adobe-source-code-pro/SourceCode=
Pro-Light.otf/0
>     Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-=
Bold.otf/0 matches new
>     Allen> Loading file /usr/share/fonts/adobe-source-code-pro/SourceCode=
Pro-Bold.otf/0
>     Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-=
Regular.otf/0 matches existing (2)
>     Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-=
Light.otf/0 matches existing (2)
>     Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-=
Bold.otf/0 matches existing (2)
>     Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-=
Regular.otf/0 matches existing (3)
>     Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-=
Light.otf/0 matches existing (3)
>     Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-=
Bold.otf/0 matches existing (3)
>     Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-=
Regular.otf/0 matches existing (4)
>     Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-=
Regular.otf/0 matches existing (4)
>     Allen> FontFile /usr/share/fonts/noto/NotoColorEmoji.ttf/0 matches new
>     Allen> Loading file /usr/share/fonts/noto/NotoColorEmoji.ttf/0
>
>     Allen> and then Emacs hangs at this point.
>
> Hmm, that configuration of emacs should not be loading NotoColorEmoji
> (unless you've somehow arranged for xft-ignore-color-fonts to be
> nil). What's your version of fontconfig (probably from
> /usr/include/fontconfig/fontconfig.h)?

I haven't touched xft-ignore-color-fonts (and it reproduces from emacs -Q)

#define FC_MAJOR	2
#define FC_MINOR	13
#define FC_REVISION	91

>
> (note that building emacs-27 with cairo enabled should solve this:
> that doesn=CA=BCt use XFT).
>
> Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37786; Package emacs. Full text available.

Message received at 37786 <at> debbugs.gnu.org:


Received: (at 37786) by debbugs.gnu.org; 21 Oct 2019 10:02:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 21 06:02:44 2019
Received: from localhost ([127.0.0.1]:55737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iMUWS-0004x0-52
	for submit <at> debbugs.gnu.org; Mon, 21 Oct 2019 06:02:44 -0400
Received: from mail-wm1-f52.google.com ([209.85.128.52]:37354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iMUWP-0004wl-U9
 for 37786 <at> debbugs.gnu.org; Mon, 21 Oct 2019 06:02:42 -0400
Received: by mail-wm1-f52.google.com with SMTP id f22so12110252wmc.2
 for <37786 <at> debbugs.gnu.org>; Mon, 21 Oct 2019 03:02:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=vL6MNxLC0EWyFzdhcgoKNCtdc6OU78T9+4PzHsVN1Jg=;
 b=chgjhj9M+z0h71H+yu/5T1aQbb5Kzc0Htqj79OsYwCdBYMl0FzwOenqBvILARaYGsz
 qwDnXMxF0B2IreNbIaZn27lw/g25Lj4JNIprxwd1loynMx+KUZxilXRD7XS7G1Zv8cfR
 704n0/aF476+ZlpyAkN4ZLcQqY8/Lmd77oRBZ9JcgE1l/bWToy2lLk3zViQfQmJA9im0
 va88/6nHX1a/V4YR8+OegiLdUcVNxMk/hiC7gm9PxIMXyH6UlJJ/CxxiRw0nYKIJLCGi
 ze+osTU9vrhxZ8iSDgD/+kklnHFsYUZ0UDSZVsy9JFYBZhVrZrd1uisMtVKrtZXB5/gx
 xWnA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=vL6MNxLC0EWyFzdhcgoKNCtdc6OU78T9+4PzHsVN1Jg=;
 b=Sossx66RSdv7onsJvfJLt7bLuy3ZeMpxbLGPMV2o10MtmkLBabhkpFR9Q5KeuHakRf
 hpxAXSETeKOTImH58bY8+DQEoTHq+nxDiNWeyVvWRRKdBNkqsafcls8KcQdgvnREAW/Y
 0PvjXn962WLki9ExQQH6Doh1TanVtr4Dd4yEb05N7EQ9J9ZuOEtx61oK1VyagOZUOhYi
 b4059L5IibU43wHpwWUnhebI2HU3SZWORj4r3GwWYoocjn3u8SGAn5H54HzENFNzmeiJ
 NILjuZwpJzJf5/i/1tJcm8+3+LACq8fzLWOCyGxYTtodHzQvRzByNIYIDZ5gIdSt+VcQ
 U/ZA==
X-Gm-Message-State: APjAAAXp+w8dQ7X04/ubT1r+CIEYN+Bu2kvIsrLBdIeMfkx1KjcXYNjK
 xotQcfvv8FhH9YmKRYmEP7vw1IQx
X-Google-Smtp-Source: APXvYqxBT/T6/o7NCn+kmsjyXSRx94VEBf3PXD9k6LQJuLNTwN+anPAcAg7/hFR0BWFYSefnloANxg==
X-Received: by 2002:a1c:55c4:: with SMTP id
 j187mr18650098wmb.155.1571652155555; 
 Mon, 21 Oct 2019 03:02:35 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id 5sm22375023wrk.86.2019.10.21.03.02.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 21 Oct 2019 03:02:34 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Allen Li <darkfeline@HIDDEN>
Subject: Re: bug#37786: 26.3; Emacs crashes when calling function to decode
 string
References: <80sgnsdn9a.fsf@HIDDEN> <87zhi0knm5.fsf@HIDDEN>
 <m2ftjr1ywg.fsf@HIDDEN> <80wod21xu4.fsf@HIDDEN>
 <m2wod2qt7m.fsf@HIDDEN> <80imol1qj9.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Mon, 21 Oct 2019 12:02:34 +0200
In-Reply-To: <80imol1qj9.fsf@HIDDEN> (Allen Li's message of "Fri, 18
 Oct 2019 18:18:34 -0700")
Message-ID: <m2h842ju11.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37786
Cc: 37786 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 18 Oct 2019 18:18:34 -0700, Allen Li <darkfeline@HIDDEN=
e> said:
    Allen> That gives me the following output:

    Allen> Loading file /usr/share/fonts/adobe-source-code-pro/SourceCodePr=
o-Regular.otf/0
    Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-It=
.otf/0 matches new
    Allen> Loading file /usr/share/fonts/adobe-source-code-pro/SourceCodePr=
o-It.otf/0
    Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Li=
ght.otf/0 matches new
    Allen> Loading file /usr/share/fonts/adobe-source-code-pro/SourceCodePr=
o-Light.otf/0
    Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Bo=
ld.otf/0 matches new
    Allen> Loading file /usr/share/fonts/adobe-source-code-pro/SourceCodePr=
o-Bold.otf/0
    Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Re=
gular.otf/0 matches existing (2)
    Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Li=
ght.otf/0 matches existing (2)
    Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Bo=
ld.otf/0 matches existing (2)
    Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Re=
gular.otf/0 matches existing (3)
    Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Li=
ght.otf/0 matches existing (3)
    Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Bo=
ld.otf/0 matches existing (3)
    Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Re=
gular.otf/0 matches existing (4)
    Allen> FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Re=
gular.otf/0 matches existing (4)
    Allen> FontFile /usr/share/fonts/noto/NotoColorEmoji.ttf/0 matches new
    Allen> Loading file /usr/share/fonts/noto/NotoColorEmoji.ttf/0

    Allen> and then Emacs hangs at this point.

Hmm, that configuration of emacs should not be loading NotoColorEmoji
(unless you've somehow arranged for xft-ignore-color-fonts to be
nil). What's your version of fontconfig (probably from
/usr/include/fontconfig/fontconfig.h)?

(note that building emacs-27 with cairo enabled should solve this:
that doesn=CA=BCt use XFT).

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37786; Package emacs. Full text available.

Message received at 37786 <at> debbugs.gnu.org:


Received: (at 37786) by debbugs.gnu.org; 19 Oct 2019 01:18:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 21:18:45 2019
Received: from localhost ([127.0.0.1]:51732 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLdOG-0002FX-Nd
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 21:18:45 -0400
Received: from mail-pg1-f174.google.com ([209.85.215.174]:39877)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <darkfeline@HIDDEN>) id 1iLdOE-0002FG-5y
 for 37786 <at> debbugs.gnu.org; Fri, 18 Oct 2019 21:18:43 -0400
Received: by mail-pg1-f174.google.com with SMTP id p12so4265603pgn.6
 for <37786 <at> debbugs.gnu.org>; Fri, 18 Oct 2019 18:18:42 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=felesatra-moe.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=xDNjL1tel/WG85L5WjLzROPqJpmZQKHlUKkuQRTv2b4=;
 b=g2MsHb3UfN30k2wC6pfr15dl5M0Ai7FThr0304RJXhIm8iZfXfQGMQVswgAXXr6MK9
 899VmhLJWEXeLmpxThf0DXyh8cQ3Tzc/AyYIm1GUhuPo3X2HkabAs6PyOClV3UMntcrw
 DQQdClLhZazBYf6P3l9kvHi5EIBezhje5yXDb3VM9wyO3Ror+X7CsX+c8pFDgiS9DKu5
 9M68cRI1p05WaEZgIbvPw9n0z6V9mYqt+xlT6RQRNyGCW+Irc3GDxoCgR06O/G4EncFc
 wcvqzvesYPrhoHPnzp33erM1X9l7lOXTsKLEj1zODn7OICEfqW10kPf/EkHHe4VXCrLt
 RXaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=xDNjL1tel/WG85L5WjLzROPqJpmZQKHlUKkuQRTv2b4=;
 b=t61AxJIdK3tauHudYscD3udyq0uRF66FPbyGDv3ubkle6syeNvS5kENw6fTJGuuCcp
 n2qWvFysVxxK3hZpRUs3ZFf1Heukox4qy/hCLZgZ4ZisZvtLeKpiNUjC3ghJiud9X8T/
 wyw0mzN8i5O9ePTjxuMilfQtkQSNS6rin/76Ai9F/qkojf+44oyPK+sbtI12Vzm339Xv
 YTuQZ6ZIs1wIsPjtPO4/GXHoMx42PU4cFgDMX1qnNENAfjIDOjsArVtx766yeA9TYB6i
 dWafDXmqx3+aJbzrIrg7avTfKQNH1ROnBafjcVTpdjWN1zMi9jCfAorDXGjXaLAe2rha
 HzBA==
X-Gm-Message-State: APjAAAXW3nf3+iOv8Y94SdWlGFMGmrzlsbL87GsLfgmJVy/25i3Jh2e/
 fJ8U5O0U1sHUCSiHyl6/f9dXew==
X-Google-Smtp-Source: APXvYqycii9xnGXNE3kXgFdjCbWUKlzCEhSzw0jtKK+l97H/Ll+LA/G0WWvIcNTnxbOBrE8BUvEm6A==
X-Received: by 2002:a63:4e09:: with SMTP id c9mr12487643pgb.98.1571447916202; 
 Fri, 18 Oct 2019 18:18:36 -0700 (PDT)
Received: from localhost ([2600:1700:7270:7d1f:fa59:71ff:fe00:10cc])
 by smtp.gmail.com with ESMTPSA id z18sm7720989pgv.90.2019.10.18.18.18.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 18 Oct 2019 18:18:35 -0700 (PDT)
From: Allen Li <darkfeline@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#37786: 26.3;
 Emacs crashes when calling function to decode string
References: <80sgnsdn9a.fsf@HIDDEN> <87zhi0knm5.fsf@HIDDEN>
 <m2ftjr1ywg.fsf@HIDDEN> <80wod21xu4.fsf@HIDDEN>
 <m2wod2qt7m.fsf@HIDDEN>
Date: Fri, 18 Oct 2019 18:18:34 -0700
In-Reply-To: <m2wod2qt7m.fsf@HIDDEN> (Robert Pluim's message of "Fri, 18
 Oct 2019 11:49:17 +0200")
Message-ID: <80imol1qj9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37786
Cc: 37786 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

>>>>>> On Thu, 17 Oct 2019 21:28:35 -0700, Allen Li <darkfeline@HIDDEN=
oe> said:
>
>     Allen> This is the backtrace using the simpler repro from Robert.
>
>     Allen> #0  0x0000000000565ae9 in terminate_due_to_signal (sig=3D6, ba=
cktrace_limit=3D40) at emacs.c:363
>     Allen> #1  0x000000000058ca83 in emacs_abort () at sysdep.c:2380
>     Allen> #2  0x000000000045c17e in redisplay_internal () at xdisp.c:137=
97
>     Allen> #3  0x000000000045e0b7 in redisplay_preserve_echo_area (from_w=
here=3D13) at xdisp.c:14602
>     Allen> #4  0x0000000000667fbe in Fdelete_process (process=3DXIL(0x6aa=
3395)) at process.c:1054
>     Allen> #5  0x000000000067716b in kill_buffer_processes (buffer=3DXIL(=
0)) at process.c:7819
>     Allen> #6  0x00000000005683d0 in shut_down_emacs (sig=3D0, stuff=3DXI=
L(0)) at emacs.c:2096
>     Allen> #7 0x000000000052d854 in x_connection_closed (dpy=3D0x2b77f50,
>     Allen> error_message=3D0x7fffffff6fc0 "X protocol error: BadLength (p=
oly
>     Allen> request too large or internal Xlib length error) on protocol r=
equest
>     Allen> 139", ioerror=3Dfalse) at xterm.c:9799
>
> I thought we=CA=BCd fixed these kinds of bugs, but obviously not. Can you
> try your test in combination with the following from etc/DEBUG, it
> should tell us which font is responsible:
>
>     For X protocol errors related to displaying unusual characters or to
>     font-related customizations, try invoking Emacs like this:
>
>       XFT_DEBUG=3D16 emacs -xrm "emacs.synchronous: true"
>
>     This should produce information from the libXft library which could
>     give useful hints regarding font-related problems in that library.

That gives me the following output:

Loading file /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Regular.o=
tf/0
FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-It.otf/0 matc=
hes new
Loading file /usr/share/fonts/adobe-source-code-pro/SourceCodePro-It.otf/0
FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Light.otf/0 m=
atches new
Loading file /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Light.otf=
/0
FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Bold.otf/0 ma=
tches new
Loading file /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Bold.otf/0
FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Regular.otf/0=
 matches existing (2)
FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Light.otf/0 m=
atches existing (2)
FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Bold.otf/0 ma=
tches existing (2)
FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Regular.otf/0=
 matches existing (3)
FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Light.otf/0 m=
atches existing (3)
FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Bold.otf/0 ma=
tches existing (3)
FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Regular.otf/0=
 matches existing (4)
FontFile /usr/share/fonts/adobe-source-code-pro/SourceCodePro-Regular.otf/0=
 matches existing (4)
FontFile /usr/share/fonts/noto/NotoColorEmoji.ttf/0 matches new
Loading file /usr/share/fonts/noto/NotoColorEmoji.ttf/0

and then Emacs hangs at this point.

>
> Regards
>
> Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37786; Package emacs. Full text available.

Message received at 37786 <at> debbugs.gnu.org:


Received: (at 37786) by debbugs.gnu.org; 18 Oct 2019 09:49:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 05:49:29 2019
Received: from localhost ([127.0.0.1]:49403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLOsy-0004KK-On
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 05:49:29 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:37388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iLOsw-0004K3-Aa
 for 37786 <at> debbugs.gnu.org; Fri, 18 Oct 2019 05:49:27 -0400
Received: by mail-wr1-f43.google.com with SMTP id p14so5532776wro.4
 for <37786 <at> debbugs.gnu.org>; Fri, 18 Oct 2019 02:49:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version:content-transfer-encoding;
 bh=Nu1Gn8rpeNpryWIHHMXbHhSracN+uVTL7hxA6CuAlg8=;
 b=L5ngTS+dsIs/7YfZ4PZx1SUS2BExigmjB7EJ1+BOUGNgbnTasrHB8hfFklPci6bMz7
 9BBa87cvouJ+VmKPWc8y1jKWr5suv/lMHK6RjXNsK8UK6Op/EiUA0FG0TfEylw879PPb
 3uKAylhqgQn8ycddbm6Yc32Vvq2uMautKXRHWYnTd69eWQo+NG12loIqMFEDm3fV34YY
 eOQFns2fnCjJ4A6uo/GtTZ41Ef3UDX1XMXnPLzwg2WKLDfTaA37INy1H1Z8yZzCOOQdU
 HmZmuF8QYd+p8tvwCasBVas+NpXm/Yst670cM1uW6jGB/AeWXOb6d7R5lZWI4hMto+lT
 irwQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=Nu1Gn8rpeNpryWIHHMXbHhSracN+uVTL7hxA6CuAlg8=;
 b=HsHlM5hdUA4DcS8mdyf0urE70zrA0wE9/8RAIkltwqOx2UMk7b8PPzxeQhdHbqlKUu
 q4VoZDMDTj/quuOedL43nydQpgqGim7bgKl4ATBVDTDV7Kh0bIMDQVMUWGFXu+l1NjHo
 NU5tEF9KlcpeLn5sv87AjHia0u7NXlkx2jteRuRCuVgQc527crcY8Ve51jDsjIDQR98c
 eE1F52pL6M0GZmzlw4YoKY4PcvvnTkRA+p0uhvDYNXkbuTJDivh+qFXWYrPPNfXCqCq4
 gRDiVvhH7Xfp86f/dVSnAKTzn0YucoMQkzpwt16rWZX9YoCT5qUIM+iUi1h6L3XB0iBX
 k1qw==
X-Gm-Message-State: APjAAAWgDAasP6+GN75ryNnn2WBGqM9SZ6AWJy5CZtCvQUrUbdOOzbRL
 pks7QtTDTHB5gB7f8pDMSd8nRknMY74=
X-Google-Smtp-Source: APXvYqxjhzEKKbe8lltZhXNgv5d+jfd4tJDIIUEkqa0WcjpcEP20vj7kVraOEBGhkoA27BYYkWQYdA==
X-Received: by 2002:a5d:522f:: with SMTP id i15mr6618291wra.257.1571392159869; 
 Fri, 18 Oct 2019 02:49:19 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id 79sm8071666wmb.7.2019.10.18.02.49.18
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 18 Oct 2019 02:49:18 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Allen Li <darkfeline@HIDDEN>
Subject: Re: bug#37786: 26.3; Emacs crashes when calling function to decode
 string
References: <80sgnsdn9a.fsf@HIDDEN> <87zhi0knm5.fsf@HIDDEN>
 <m2ftjr1ywg.fsf@HIDDEN> <80wod21xu4.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Fri, 18 Oct 2019 11:49:17 +0200
In-Reply-To: <80wod21xu4.fsf@HIDDEN> (Allen Li's message of "Thu, 17
 Oct 2019 21:28:35 -0700")
Message-ID: <m2wod2qt7m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37786
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 37786 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 17 Oct 2019 21:28:35 -0700, Allen Li <darkfeline@HIDDEN=
e> said:

    Allen> This is the backtrace using the simpler repro from Robert.

    Allen> #0  0x0000000000565ae9 in terminate_due_to_signal (sig=3D6, back=
trace_limit=3D40) at emacs.c:363
    Allen> #1  0x000000000058ca83 in emacs_abort () at sysdep.c:2380
    Allen> #2  0x000000000045c17e in redisplay_internal () at xdisp.c:13797
    Allen> #3  0x000000000045e0b7 in redisplay_preserve_echo_area (from_whe=
re=3D13) at xdisp.c:14602
    Allen> #4  0x0000000000667fbe in Fdelete_process (process=3DXIL(0x6aa33=
95)) at process.c:1054
    Allen> #5  0x000000000067716b in kill_buffer_processes (buffer=3DXIL(0)=
) at process.c:7819
    Allen> #6  0x00000000005683d0 in shut_down_emacs (sig=3D0, stuff=3DXIL(=
0)) at emacs.c:2096
    Allen> #7 0x000000000052d854 in x_connection_closed (dpy=3D0x2b77f50,
    Allen> error_message=3D0x7fffffff6fc0 "X protocol error: BadLength (poly
    Allen> request too large or internal Xlib length error) on protocol req=
uest
    Allen> 139", ioerror=3Dfalse) at xterm.c:9799

I thought we=CA=BCd fixed these kinds of bugs, but obviously not. Can you
try your test in combination with the following from etc/DEBUG, it
should tell us which font is responsible:

    For X protocol errors related to displaying unusual characters or to
    font-related customizations, try invoking Emacs like this:

      XFT_DEBUG=3D16 emacs -xrm "emacs.synchronous: true"

    This should produce information from the libXft library which could
    give useful hints regarding font-related problems in that library.

Regards

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37786; Package emacs. Full text available.

Message received at 37786 <at> debbugs.gnu.org:


Received: (at 37786) by debbugs.gnu.org; 18 Oct 2019 04:28:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 18 00:28:48 2019
Received: from localhost ([127.0.0.1]:49149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iLJsc-0004QC-IJ
	for submit <at> debbugs.gnu.org; Fri, 18 Oct 2019 00:28:48 -0400
Received: from mail-pf1-f180.google.com ([209.85.210.180]:36214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <darkfeline@HIDDEN>) id 1iLJsZ-0004Ps-RF
 for 37786 <at> debbugs.gnu.org; Fri, 18 Oct 2019 00:28:44 -0400
Received: by mail-pf1-f180.google.com with SMTP id y22so3039323pfr.3
 for <37786 <at> debbugs.gnu.org>; Thu, 17 Oct 2019 21:28:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=felesatra-moe.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=Cvl9FeKPa2dMNonZ84qeF/uCLGOpRQMgdwTetv8clmM=;
 b=Mc2oDxQQ6jpXexbovoCHtV3hinNpxZEyeZhRGZPOSIF4wXx/SgfZuoBEBiU/VGj1rC
 KNuFsOkip85EBxYLkiId3FUf7YkLUD34ouexU/p6ZOgfGXTAmK/0UCG0C8ZxfaWKQCdw
 BrAP2k1ioEeKuSd8e+HJ1vMkv8omqhWNqXIBjl6d65o355DRtdWCzaAI9UUxuJdcGfpz
 ScpC49iw1ZYt6hgVQRwAG870+4Gdkb9Fi8eBE6fal/IVcvJV+79i9h1Cd9G5o54vAGY5
 OFgh5oamtywr3gg0SrfE1AWdLNuywaGNfUpy1qOy4E0JYZc9sUcwjQHnEC6Af+w07FHi
 Ug5w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=Cvl9FeKPa2dMNonZ84qeF/uCLGOpRQMgdwTetv8clmM=;
 b=M0KGSTOHOW1/cz8KCobbock+ZyXHy6GZLtNpTUm8woJzFbHojVCTBN8Yh4Uh5ONArA
 OdC0klzwyi0ud/T96gacwPjZ6k+9NYDf5GmNAZWqo2O5hWCvauujEo9jsDPeLaDIcq2C
 PJoxTpY9wagEKgT7lwWLRPH1JjB75J7Y5dfJdoxlxLr1oSStfDonh0PT/oecrwG/o+Lg
 7+mtOPHoN4Xe8kLh3JjrBJDLHs/b71ET7WbneEmXq6r0NOn4K+Z3lhoyX9Zsr8TN1yNL
 DlE9nvmhDvy2hLlFP6uKSO0ip2YVmYNROHIeYTr9sDDI0pw7yqQdN/AAToLBk8Jx5jPM
 bd8Q==
X-Gm-Message-State: APjAAAVG1/EyVy+ohu7nJyMfS7qrNgV2/O4G3GvptSYSd3obDRIw2eyQ
 r9mHXDdoXrJjZINQbmwQE6a/2L3n0gsXCQ==
X-Google-Smtp-Source: APXvYqxxUDLFSPcRpEsIUGmEQrskU0qA1PGnp/B1/c4Y3QSlnq6cBckqNcAq1aXzfjEzOcXrODXg+w==
X-Received: by 2002:a62:e718:: with SMTP id s24mr4409411pfh.90.1571372917767; 
 Thu, 17 Oct 2019 21:28:37 -0700 (PDT)
Received: from localhost ([2600:1700:7270:7d1f:fa59:71ff:fe00:10cc])
 by smtp.gmail.com with ESMTPSA id g7sm8039488pfm.176.2019.10.17.21.28.36
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 17 Oct 2019 21:28:37 -0700 (PDT)
From: Allen Li <darkfeline@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#37786: 26.3;
 Emacs crashes when calling function to decode string
References: <80sgnsdn9a.fsf@HIDDEN> <87zhi0knm5.fsf@HIDDEN>
 <m2ftjr1ywg.fsf@HIDDEN>
Date: Thu, 17 Oct 2019 21:28:35 -0700
In-Reply-To: <m2ftjr1ywg.fsf@HIDDEN> (Robert Pluim's message of "Thu, 17
 Oct 2019 11:53:19 +0200")
Message-ID: <80wod21xu4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37786
Cc: 37786 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Robert Pluim <rpluim@HIDDEN> writes:

>>>>>> On Thu, 17 Oct 2019 06:22:10 +0200, Lars Ingebrigtsen <larsi@HIDDEN> said:
>
>     Lars> Allen Li <darkfeline@HIDDEN> writes:
>     >> The following expression, when evaluated in emacs -Q, causes emacs to
>     >> crash and dump core:
>     >> 
>     >> (mail-decode-encoded-word-string
>     >> #("=?UTF-8?B?4pyoUERYQ09OIFNBTEXinKggRW5qb3kgU3BlY2lhbCBPZmZlcnMg?=
>     >> =?UTF-8?B?V2hpbGUgWW91IFdhaXQh?=" 0 64 (ws-butler-chg chg) 64 65
>     >> (ws-butler-chg chg) 65 97 (ws-butler-chg chg)))
>
>     Lars> I'm unable to reproduce this in Emacs 27 or Emacs 26.3.
>
>     Lars> Could you do this under gdb and post the backtrace?

This is the backtrace using the simpler repro from Robert.

#0  0x0000000000565ae9 in terminate_due_to_signal (sig=6, backtrace_limit=40) at emacs.c:363
#1  0x000000000058ca83 in emacs_abort () at sysdep.c:2380
#2  0x000000000045c17e in redisplay_internal () at xdisp.c:13797
#3  0x000000000045e0b7 in redisplay_preserve_echo_area (from_where=13) at xdisp.c:14602
#4  0x0000000000667fbe in Fdelete_process (process=XIL(0x6aa3395)) at process.c:1054
#5  0x000000000067716b in kill_buffer_processes (buffer=XIL(0)) at process.c:7819
#6  0x00000000005683d0 in shut_down_emacs (sig=0, stuff=XIL(0)) at emacs.c:2096
#7  0x000000000052d854 in x_connection_closed (dpy=0x2b77f50, error_message=0x7fffffff6fc0 "X protocol error: BadLength (poly request too large or internal Xlib length error) on protocol request 139", ioerror=false) at xterm.c:9799
#8  0x000000000052da1b in x_error_quitter (display=0x2b77f50, event=0x7fffffff7160) at xterm.c:9893
#9  0x000000000052d966 in x_error_handler (display=0x2b77f50, event=0x7fffffff7160) at xterm.c:9863
#10 0x00007ffff6ce75db in _XError () at /usr/lib/libX11.so.6
#11 0x00007ffff6ce4388 in  () at /usr/lib/libX11.so.6
#12 0x00007ffff6ce4425 in  () at /usr/lib/libX11.so.6
#13 0x00007ffff6ce4d8a in _XEventsQueued () at /usr/lib/libX11.so.6
#14 0x00007ffff6cd6782 in XPending () at /usr/lib/libX11.so.6
#15 0x00007ffff7671a00 in  () at /usr/lib/libgdk-3.so.0
#16 0x00007ffff6e79a60 in g_main_context_prepare () at /usr/lib/libglib-2.0.so.0
#17 0x00007ffff6e7a0a6 in  () at /usr/lib/libglib-2.0.so.0
#18 0x00007ffff6e7a2fa in g_main_context_pending () at /usr/lib/libglib-2.0.so.0
#19 0x00007ffff79ae550 in gtk_events_pending () at /usr/lib/libgtk-3.so.0
#20 0x000000000052c185 in XTread_socket (terminal=0x1232e40 <bss_sbrk_buffer+7610880>, hold_quit=0x7fffffff74a0) at xterm.c:9120
#21 0x000000000057685f in gobble_input () at keyboard.c:6909
#22 0x0000000000576da8 in handle_async_input () at keyboard.c:7146
#23 0x0000000000576dc7 in process_pending_signals () at keyboard.c:7160
#24 0x0000000000576e07 in unblock_input_to (level=0) at keyboard.c:7175
#25 0x0000000000576e2b in unblock_input () at keyboard.c:7194
#26 0x00000000006ab340 in xftfont_open (f=0x1279c30 <bss_sbrk_buffer+7901168>, entity=XIL(0x5f805b5), pixel_size=15) at xftfont.c:391
#27 0x000000000063107b in font_open_entity (f=0x1279c30 <bss_sbrk_buffer+7901168>, entity=XIL(0x5f805b5), pixel_size=15) at font.c:2903
#28 0x0000000000632a50 in font_open_for_lface (f=0x1279c30 <bss_sbrk_buffer+7901168>, entity=XIL(0x5f805b5), attrs=0x32610d0, spec=XIL(0)) at font.c:3332
#29 0x00000000006aea8a in fontset_find_font (fontset=XIL(0x1470c35), c=10024, face=0x32610d0, charset_id=-1, fallback=true) at fontset.c:707
#30 0x00000000006aefb7 in fontset_font (fontset=XIL(0x1470c35), c=10024, face=0x32610d0, id=-1) at fontset.c:788
#31 0x00000000006af6bc in face_for_char (f=0x1279c30 <bss_sbrk_buffer+7901168>, face=0x32610d0, c=10024, pos=1, object=XIL(0)) at fontset.c:990
#32 0x0000000000563994 in FACE_FOR_CHAR (f=0x1279c30 <bss_sbrk_buffer+7901168>, face=0x32610d0, character=10024, pos=1, object=XIL(0)) at dispextern.h:1818
#33 0x000000000044b256 in get_next_display_element (it=0x7fffffff8ef0) at xdisp.c:7288
#34 0x00000000004730c0 in display_line (it=0x7fffffff8ef0, cursor_vpos=0) at xdisp.c:21337
#35 0x0000000000467f0f in try_window (window=XIL(0x127ac35), pos=..., flags=1) at xdisp.c:17592
#36 0x0000000000465a0d in redisplay_window (window=XIL(0x127ac35), just_this_one_p=false) at xdisp.c:17039
#37 0x000000000045e869 in redisplay_window_0 (window=XIL(0x127ac35)) at xdisp.c:14799
#38 0x000000000061316d in internal_condition_case_1 (bfun=0x45e827 <redisplay_window_0>, arg=XIL(0x127ac35), handlers=XIL(0xb5afb3), hfun=0x45e7ef <redisplay_window_error>) at eval.c:1356
#39 0x000000000045e7c3 in redisplay_windows (window=XIL(0x127ac35)) at xdisp.c:14779
#40 0x000000000045d608 in redisplay_internal () at xdisp.c:14268
#41 0x000000000045b4ee in redisplay () at xdisp.c:13488
#42 0x000000000056db90 in read_char (commandflag=1, map=XIL(0x6564303), prev_event=XIL(0), used_mouse_menu=0x7fffffffe1f1, end_time=0x0) at keyboard.c:2480
#43 0x000000000057b533 in read_key_sequence (keybuf=0x7fffffffe390, bufsize=30, prompt=XIL(0), dont_downcase_last=false, can_return_switch_frame=true, fix_current_buffer=true, prevent_redisplay=false) at keyboard.c:9147
#44 0x000000000056adfb in command_loop_1 () at keyboard.c:1368
#45 0x00000000006130c6 in internal_condition_case (bfun=0x56a9cf <command_loop_1>, handlers=XIL(0x5220), hfun=0x56a17a <cmd_error>) at eval.c:1332
#46 0x000000000056a6b0 in command_loop_2 (ignore=XIL(0)) at keyboard.c:1110
#47 0x0000000000612963 in internal_catch (tag=XIL(0xc6c0), func=0x56a683 <command_loop_2>, arg=XIL(0)) at eval.c:1097
#48 0x000000000056a64e in command_loop () at keyboard.c:1089
#49 0x0000000000569d4b in recursive_edit_1 () at keyboard.c:695
#50 0x0000000000569ecc in Frecursive_edit () at keyboard.c:766
#51 0x00000000005679ae in main (argc=1, argv=0x7fffffffe7f8) at emacs.c:1713


>
> Probably font-related. I suspect "C-x 8 RET 2728" will cause the same
> crash for OP.
>
> Robert

Yep, this also crashes for me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37786; Package emacs. Full text available.

Message received at 37786 <at> debbugs.gnu.org:


Received: (at 37786) by debbugs.gnu.org; 17 Oct 2019 09:53:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 05:53:29 2019
Received: from localhost ([127.0.0.1]:47158 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iL2TJ-0005Ec-Dh
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 05:53:29 -0400
Received: from mail-wm1-f47.google.com ([209.85.128.47]:51458)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iL2TH-0005EK-M4
 for 37786 <at> debbugs.gnu.org; Thu, 17 Oct 2019 05:53:28 -0400
Received: by mail-wm1-f47.google.com with SMTP id 7so1881907wme.1
 for <37786 <at> debbugs.gnu.org>; Thu, 17 Oct 2019 02:53:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:mail-copies-to:gmane-reply-to-list
 :date:in-reply-to:message-id:mime-version;
 bh=x1S9cVY8FWySFeMMXJmJTdDKosrB+2rr6hrO5kSXH38=;
 b=k4VAogldlZ/H3WCnACGba+uEZ+bfCGOsmLoSR8xjcGerOX/FwUZz08P2EcijG+RIjT
 l2OiWXGCwzAYp5RgDBcCa+LDFRFLWp4op4nPUka47F6/KjQAQl8+FVS1BjKiwdwcNuxr
 aH8i/9Lyf9asV9JATbs/QENGTtxSxalvuYjoAFMSs11xXwzlmh/OQLR5wx2fjEKaAnZb
 kBx6TCtyNs0Bs9H2bhm2T/xG7+JxcLprnnPB5C8SkJc8z8R+E78aJvZsRaNeSuQslPnM
 vwd0fI7SyzOS6JW/Q0YnPwB8+JQbF4r63H7S/wPnQxER0REf21KqN3yaic1c1QU/PcQy
 Gxtw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:mail-copies-to
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version;
 bh=x1S9cVY8FWySFeMMXJmJTdDKosrB+2rr6hrO5kSXH38=;
 b=tnk0HTGDx2UShzejbOUjs50dKC0UjVT89Zemdz+Dwy60lAup2Nf9AXc05h3+Zo5rYm
 C37pP2rVzsBm+gAILPcoTjMsJaGYzcAbqN6NZEvSJN6+Wk1n1hGGoFX9NP0oBSu74ZMf
 mTz584B6fit+F5gxmKuJwzbf4Tya7I1ouCzCFGSds/3OTKJaDduVP9LO2x+0KQrnsTEj
 WRMLDYPW7QttAnmzB86PaX25ZxbAIoWPes8lVSZajvR0yhX6vqlEoRTGnhVXOq2WlV68
 S0CbFq+E8ei0nWeOy/Tx7d+e3eEzAYf/eaI+ALcD9UXOcvBS5P97zzBGPkscALNV1rGq
 S9LQ==
X-Gm-Message-State: APjAAAW4JroG5ySDbKbNddquLCceI1MMBsdAklzaG80skVtKchqiSVHS
 mN8F41Dd4xPROvaDmRNo7tTvR1yJ
X-Google-Smtp-Source: APXvYqxAHq+60J5sgStMxG1z7dK3ZPHyVzrAmS4i1SMfihI7beZgdlZ5oz78qQR+YECTbWHzS3tyVg==
X-Received: by 2002:a05:600c:2214:: with SMTP id
 z20mr2171737wml.10.1571306001261; 
 Thu, 17 Oct 2019 02:53:21 -0700 (PDT)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id z13sm1616003wrq.51.2019.10.17.02.53.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 17 Oct 2019 02:53:20 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#37786: 26.3; Emacs crashes when calling function to decode
 string
References: <80sgnsdn9a.fsf@HIDDEN> <87zhi0knm5.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Mail-Copies-To: never
Gmane-Reply-To-List: yes
Date: Thu, 17 Oct 2019 11:53:19 +0200
In-Reply-To: <87zhi0knm5.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 17 Oct 2019 06:22:10 +0200")
Message-ID: <m2ftjr1ywg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37786
Cc: 37786 <at> debbugs.gnu.org, Allen Li <darkfeline@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 17 Oct 2019 06:22:10 +0200, Lars Ingebrigtsen <larsi@HIDDEN> said:

    Lars> Allen Li <darkfeline@HIDDEN> writes:
    >> The following expression, when evaluated in emacs -Q, causes emacs to
    >> crash and dump core:
    >> 
    >> (mail-decode-encoded-word-string
    >> #("=?UTF-8?B?4pyoUERYQ09OIFNBTEXinKggRW5qb3kgU3BlY2lhbCBPZmZlcnMg?=
    >> =?UTF-8?B?V2hpbGUgWW91IFdhaXQh?=" 0 64 (ws-butler-chg chg) 64 65
    >> (ws-butler-chg chg) 65 97 (ws-butler-chg chg)))

    Lars> I'm unable to reproduce this in Emacs 27 or Emacs 26.3.

    Lars> Could you do this under gdb and post the backtrace?

Probably font-related. I suspect "C-x 8 RET 2728" will cause the same
crash for OP.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37786; Package emacs. Full text available.

Message received at 37786 <at> debbugs.gnu.org:


Received: (at 37786) by debbugs.gnu.org; 17 Oct 2019 04:22:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 00:22:18 2019
Received: from localhost ([127.0.0.1]:46924 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iKxIn-0005KK-US
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 00:22:18 -0400
Received: from [80.91.231.51] (port=44880 helo=quimby.gnus.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iKxIm-0005KC-7h
 for 37786 <at> debbugs.gnu.org; Thu, 17 Oct 2019 00:22:16 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iKxIg-0005HR-I3; Thu, 17 Oct 2019 06:22:14 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Allen Li <darkfeline@HIDDEN>
Subject: Re: bug#37786: 26.3; Emacs crashes when calling function to decode
 string
References: <80sgnsdn9a.fsf@HIDDEN>
Date: Thu, 17 Oct 2019 06:22:10 +0200
In-Reply-To: <80sgnsdn9a.fsf@HIDDEN> (Allen Li's message of "Wed, 16
 Oct 2019 21:11:45 -0700")
Message-ID: <87zhi0knm5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Allen Li <darkfeline@HIDDEN> writes: > The following
 expression, when evaluated in emacs -Q, causes emacs to > crash and dump
 core: > > (mail-decode-encoded-word-string
 #("=?UTF-8?B?4pyoUERYQ09OIFNBTEXinKggRW5qb3kgU3BlY2lhbCBPZmZlcnMg?=
 [...] Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Allen Li <darkfeline@HIDDEN> writes: > The following
 expression, when evaluated in emacs -Q, causes emacs to > crash and dump
 core: > > (mail-decode-encoded-word-string
 #("=?UTF-8?B?4pyoUERYQ09OIFNBTEXinKggRW5qb3kgU3BlY2lhbCBPZmZlcnMg?=
 [...] Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 SPF_NONE               SPF: sender does not publish an SPF Record
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: felesatra.moe]
 1.3 RDNS_NONE Delivered to internal network by a host with no rDNS
X-Debbugs-Envelope-To: 37786
Cc: 37786 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Allen Li <darkfeline@HIDDEN> writes:

> The following expression, when evaluated in emacs -Q, causes emacs to
> crash and dump core:
>
> (mail-decode-encoded-word-string #("=?UTF-8?B?4pyoUERYQ09OIFNBTEXinKggRW5qb3kgU3BlY2lhbCBPZmZlcnMg?= =?UTF-8?B?V2hpbGUgWW91IFdhaXQh?=" 0 64 (ws-butler-chg chg) 64 65 (ws-butler-chg chg) 65 97 (ws-butler-chg chg)))

I'm unable to reproduce this in Emacs 27 or Emacs 26.3.

Could you do this under gdb and post the backtrace?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37786; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Oct 2019 04:11:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 17 00:11:54 2019
Received: from localhost ([127.0.0.1]:46919 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iKx8j-00054C-Qf
	for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 00:11:54 -0400
Received: from lists.gnu.org ([209.51.188.17]:47220)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <darkfeline@HIDDEN>) id 1iKx8h-000544-Iq
 for submit <at> debbugs.gnu.org; Thu, 17 Oct 2019 00:11:52 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45162)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <darkfeline@HIDDEN>) id 1iKx8g-0000Xw-9R
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 00:11:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <darkfeline@HIDDEN>) id 1iKx8f-0004OD-8C
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 00:11:50 -0400
Received: from mail-pl1-x62f.google.com ([2607:f8b0:4864:20::62f]:40289)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <darkfeline@HIDDEN>)
 id 1iKx8e-0004Nr-R7
 for bug-gnu-emacs@HIDDEN; Thu, 17 Oct 2019 00:11:49 -0400
Received: by mail-pl1-x62f.google.com with SMTP id d22so462780pll.7
 for <bug-gnu-emacs@HIDDEN>; Wed, 16 Oct 2019 21:11:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=felesatra-moe.20150623.gappssmtp.com; s=20150623;
 h=from:to:subject:date:message-id:mime-version;
 bh=FwPFiEE4MAm9G3lwSi+z6zoTTf7oIDxXYJmPAIgeOCk=;
 b=hFXLkuQky5EkunOnQr1pUWrCTpMkfCCNnwv7EiL0ztW5XnsfixBOXMbAQ1DPCRZ+oO
 F7jSDFtAygcKWPeNw8VqZIvHlWGuZJzooOHVarwR9GBH777jtB04y4zk1a53YEu9snV7
 8CKbF7Z+ZqvnBEG8GmAUCz5BXBXxECjoNQECz85W1z48O4qXewJAQwL9gRNHr5Txyh9t
 vAUiRNF1vCxLcYG7UWUn9l7+fDWtq3k32TF83ed/8GRd9FrGZVUMQBqn34/+rhhz5Z77
 GfzX1DPTMbzCcbcFFepboE6zcuHTfSYrf789nHzTwb7KE7uJ61LgSOqVQ8POstKUspNN
 IXYQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=FwPFiEE4MAm9G3lwSi+z6zoTTf7oIDxXYJmPAIgeOCk=;
 b=T//hstGSRTgCDnvFAFkiVGFBZBdU3l+n7QTgVNVJ6vH76wI/O2WL/TV3q48KB60fpd
 KGbW/PCexoV5SArW4wU2C0GiUlpUvjb8ujNa31k4XcLuS2DVs1yLlq52uLx3TwaRwDNt
 9vGnAY/7wCN0faQ5j4zu/B58Vxz2gWnTSESdRyWzTuCtbMHuXDjL3zCR9s9NhY/F9PJv
 nGxnTDXJQyF2jWpeKuZ/AJvgm0w/UgErwNaNxh4WyTSSr3EZLPiWrfhO7mjBQe1oCvzl
 JA+gtU/g3cFOVUR/FfkV0V1QsBVplg3ERc1JmtQs5y7vGQhkvSVxhpj6diXRfMGwQhF1
 vwwQ==
X-Gm-Message-State: APjAAAXzd8ZnnXNcZJJTeO8dTcpd+K8glgauPSToaye8JDTQOPJSFqwE
 z3+9y5LwEl5cw7kCL8CfY13JD2NGH9NYjw==
X-Google-Smtp-Source: APXvYqyo+IKvUzMx5o7J1UoSeLCTIFRnMQF1ycosgF7L5CAWOmQn+GrdwKO+x9vIUHx83ncRF1r8Ag==
X-Received: by 2002:a17:902:321:: with SMTP id 30mr1791924pld.61.1571285506866; 
 Wed, 16 Oct 2019 21:11:46 -0700 (PDT)
Received: from localhost ([2600:1700:7270:7d1f:fa59:71ff:fe00:10cc])
 by smtp.gmail.com with ESMTPSA id 69sm719865pfb.145.2019.10.16.21.11.45
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 16 Oct 2019 21:11:46 -0700 (PDT)
From: Allen Li <darkfeline@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.3; Emacs crashes when calling function to decode string
Date: Wed, 16 Oct 2019 21:11:45 -0700
Message-ID: <80sgnsdn9a.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::62f
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


The following expression, when evaluated in emacs -Q, causes emacs to
crash and dump core:

(mail-decode-encoded-word-string #("=?UTF-8?B?4pyoUERYQ09OIFNBTEXinKggRW5qb3kgU3BlY2lhbCBPZmZlcnMg?= =?UTF-8?B?V2hpbGUgWW91IFdhaXQh?=" 0 64 (ws-butler-chg chg) 64 65 (ws-butler-chg chg) 65 97 (ws-butler-chg chg)))

In GNU Emacs 26.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.10)
 of 2019-08-29 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.12005000
System Description:	Arch Linux

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --with-x-toolkit=gtk3 --with-xft --with-modules
 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fno-plt'
 CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS GLIB
NOTIFY ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix




Acknowledgement sent to Allen Li <darkfeline@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37786; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 13 Nov 2019 14:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.